/* ++++++++++++++++++++++++++++++++++
======> NAV BAR
++++++++++++++++++++++++++++++++++ */
header nav {
  position: fixed;
  top: 15px;
  left: 0;
  z-index: +10;

  /* Nav Global Variables */
  --nav-link-color: rgb(55, 55, 55);
  --nav-link-hover-color: var(--secoundry);
  --nav-link-active-color: var(--primary);
  --nav-link-f-size: 17px;
  --nav-brand-h: 55px;
}

header nav .container {
  background: rgb(248 249 250);
  display: flex;
  gap: 15px;
  justify-content: space-between;
  align-items: center;
  position: relative;
  padding: 15px 25px;
  border-radius: var(--radious-prim);
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
    rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
}

/* ===> 👉 Logo col */
header nav .nav-col-brand {
  flex-shrink: 0;
  display: flex;
  align-items: center;
}
header nav .nav-col-brand a {
  display: flex;
  align-items: center;
}
header nav .nav-col-brand img {
  height: var(--nav-brand-h);
  width: auto;
  flex-shrink: 0;
}

/* ===> 👉 Nav Link col */
header nav .nav-col-navlink {
  position: absolute;
  top: 5px;
  right: 0;
  width: calc(100% - 48px);
  max-width: 250px;
  background: rgba(255, 255, 255, 0.979);
  padding: 30px 24px;
  border-radius: var(--radious-prim);
  box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
  backdrop-filter: blur(5px);
  border: var(--border-prim);
  transform: scale(0);
  transform-origin: top right;
  overflow: hidden;
  animation: aninavhide 0.4s linear;
  transition: var(--Ltrns);
}
header nav .nav-col-navlink.show {
  transform-origin: top right;
  animation: aninavshow 0.4s linear forwards;
}

@keyframes aninavshow {
  0% {
    transform: scale(0);
  }

  100% {
    transform: scale(1);
  }
}
@keyframes aninavhide {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(0);
  }
}

header nav .nav-col-navlink .nav-ul {
  list-style: none;
  margin-top: 15px;
}
header nav .nav-col-navlink .nav-ul li {
  margin-bottom: 17px;
}
header nav .nav-col-navlink .nav-ul .nav-link {
  text-align: center;
  font-size: var(--nav-link-f-size);
  font-weight: 600;
  color: var(--nav-link-color);
  text-transform: capitalize;
  display: block;
}
header nav .nav-col-navlink.show .nav-ul li {
  transform: translateX(calc(100% + 20px));
  animation: var(--aniTnavLink);
}

header nav .nav-col-navlink.show .nav-ul li:nth-child(1) {
  animation-delay: 0.2s;
}
header nav .nav-col-navlink.show .nav-ul li:nth-child(2) {
  animation-delay: 0.3s;
}
header nav .nav-col-navlink.show .nav-ul li:nth-child(3) {
  animation-delay: 0.4s;
}
header nav .nav-col-navlink.show .nav-ul li:nth-child(4) {
  animation-delay: 0.5s;
}
header nav .nav-col-navlink.show .nav-ul li:nth-child(5) {
  animation-delay: 0.6s;
}

header nav .nav-col-navlink .nav-ul .nav-link:hover {
  color: var(--nav-link-hover-color);
}
header nav .nav-col-navlink .nav-ul .nav-link.active {
  color: var(--nav-link-active-color);
}

header nav .nav-col-navlink .social-icons-div {
  justify-content: center;
  padding-top: 10px;
  border-top: var(--border-prim);
}

/* ===> 👉 Nav Col Btns */
header nav .nav-col-btns {
  display: flex;
  align-items: center;
  gap: 25px;
}
header nav .nav-col-btns .nav-toggle-btn {
  background: transparent;
  border: none;
  display: flex;
  align-items: center;
  z-index: +1;
}
header nav .nav-col-btns .nav-toggle-btn img {
  width: 28px;
  flex-shrink: 0;
}

@media (max-width: 800px) {
  header nav {
    --nav-brand-h: 44px;
  }

  header nav .nav-col-btns {
    gap: 18px;
  }

  header nav .nav-col-btns .nav-toggle-btn img {
    width: 24px;
  }
}
@media (max-width: 450px) {
  header nav {
    --nav-brand-h: 40px;
    --nav-link-f-size: 15px;
  }

  header nav .container {
    padding: 8px 12px;
  }

  header nav .nav-col-btns .nav-toggle-btn img {
    width: 20px;
  }
}
